<?php


namespace App\RestApi\ServiceOrder\Resources;


use Freelabois\LaravelQuickstart\Overridden\BaseResource;
use Schaffen\Core\Person\Models\Person;

class ServiceOrderResource extends BaseResource
{
    public function toArray($request)
    {
        return [
            "os_codigo" => $this->os_codigo,
            "os_recursos" => $this->os_recursos,
            "os_cliente_pes_nome" => Person::find($this->os_fk_pes_codigo)->pes_nome,
            "os_end_cidade_bairro" => $this->os_end_cidade.'/'.$this->os_end_uf,
            "os_end_logradouro_numero_bairro" => $this->os_end_logradouro.', '.$this->os_end_numero.' - '.$this->os_end_bairro,
            "os_observacao" => $this->os_observacao,
            "os_numero_tipo" => $this->os_numero_tipo,
            "forms" => $this->forms,
            "items" => $this->items
        ];
    }
}
