<?php


namespace App\Mobile\Synchronization\Controllers;


use App\Mobile\Synchronization\Resources\RouteResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Illuminate\Support\Facades\Lang;
use Schaffen\Financial\BillingRoute\Managers\RouteManager;
use Schaffen\Financial\BillingRoute\Repositories\RouteRepository;

class RouteController extends CrudController
{
    protected $resource = RouteResource::class;

    public function __construct(RouteManager $manager, RouteRepository $repository)
    {
        parent::__construct($manager, $repository);
    }

    public function store()
    {
        throw new \Exception(Lang::get('exceptions.command.invalid'), 403);
    }

    public function update( $id)
    {
        throw new \Exception(Lang::get('exceptions.command.invalid'), 403);
    }
}