<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace App\RestApi\ServiceOrder\Controllers;


use App\RestApi\ServiceOrder\Resources\ServiceOrderResource;

use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\ServiceOrder\ServiceOrder\Managers\ServiceOrderManager;
use Schaffen\ServiceOrder\ServiceOrder\Repositories\ServiceOrderRepository;

class ServiceOrderController
{

    use Crudable;

    protected $resource = ServiceOrderResource::class;

   public function __construct(
      ServiceOrderManager $manager,
      ServiceOrderRepository $repository
   )
   {
      $this->setup($manager, $repository);
   }

    public function show($id)
    {
        return new ServiceOrderResource($this->repository->find($id, ['forms']));
    }


}
