<?php


namespace App\RestApi\Visit\Resources;


use App\RestApi\Form\Resources\FormResource;
use Freelabois\LaravelQuickstart\Overridden\BaseResource;

class VisitationReasonResource extends BaseResource
{
    public function toArray($request)
    {
        $res = parent::toArray($request);
        $relationships = [];
        if(isset($res['forms'])){
            $relationships['forms'] = FormResource::collection($res['forms']);
        }
        return [
            "mov_codigo" => $res["mov_codigo"],
            "mov_descricao" => $res["mov_descricao"],
            "mov_status" => $res["mov_status"]
        ]+$relationships;
    }
}
